class PingController < ApplicationController

  layout "ping.jnlp"

  JNLP = 'application/x-java-jnlp-file'

  def index
    render 'ping', :layout => false
  end

  def at
    render 'pingat.jnlp', :content_type =>  JNLP
  end

  def cc
    render 'pingcc.jnlp', :content_type =>  JNLP
  end

  def no
    render 'pingno.jnlp', :content_type =>  JNLP
  end

  def tw
    render 'pingtw.jnlp', :content_type =>  JNLP
  end

  def vz
    render 'pingvz.jnlp', :content_type =>  JNLP
  end

  def icon
    redirect_to '/assets/isps/ping-icon.jpg'
    #send_file Rails.root.join("app", "assets", "images", "isps", "ping-icon.jpg"), type: "image/jpg", disposition: "inline"
  end

end
